import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ListVectorEnrichmentJobInput,
  ListVectorEnrichmentJobOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export interface ListVectorEnrichmentJobsCommandInput
  extends ListVectorEnrichmentJobInput {}
export interface ListVectorEnrichmentJobsCommandOutput
  extends ListVectorEnrichmentJobOutput,
    __MetadataBearer {}
export declare class ListVectorEnrichmentJobsCommand extends $Command<
  ListVectorEnrichmentJobsCommandInput,
  ListVectorEnrichmentJobsCommandOutput,
  SageMakerGeospatialClientResolvedConfig
> {
  readonly input: ListVectorEnrichmentJobsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListVectorEnrichmentJobsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: SageMakerGeospatialClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListVectorEnrichmentJobsCommandInput,
    ListVectorEnrichmentJobsCommandOutput
  >;
  private serialize;
  private deserialize;
}
